Loading...
Searching...
No Matches
ad3_basic< T >

## Detailed Description

template<class T>
class rheolef::ad3_basic< T >

Definition at line 50 of file ad3.h.

## Public Types

typedef point_basic< T >::size_type | size_type
typedef T | value_type

## Public Member Functions

| ad3_basic ()
| ad3_basic (const ad3_basic &)
ad3_basic< T > & | operator= (const ad3_basic< T > &)
template<class U >
| ad3_basic (const U &x)
const T & | value () const
const point_basic< T > & | grad () const
ad3_basic< T > | operator+ () const
ad3_basic< T > | operator- () const
ad3_basic< T > | operator+ (const ad3_basic< T > &b) const
ad3_basic< T > | operator- (const ad3_basic< T > &b) const
ad3_basic< T > | operator* (const ad3_basic< T > &b) const
ad3_basic< T > | operator/ (const ad3_basic< T > &b) const
ad3_basic< T > & | operator+= (const ad3_basic< T > &b)
ad3_basic< T > & | operator-= (const ad3_basic< T > &b)
ad3_basic< T > & | operator*= (const ad3_basic< T > &b)
ad3_basic< T > & | operator/= (const ad3_basic< T > &b)
template<class T >
| ad3_basic (const ad3_basic< T > &a)

## Static Public Member Functions

static point_basic< ad3_basic< T > > | point (const point_basic< T > &x0)

## Public Attributes

T | _v
point_basic< T > | _g

## Member Typedef Documentation

## size_type

template<class T >

typedef point_basic<T>::size_type size_type

Definition at line 55 of file ad3.h.

## value_type

template<class T >

typedef T value_type

Definition at line 56 of file ad3.h.

## Constructor & Destructor Documentation

## ad3_basic() [1/4]

template<class T >

ad3_basic | ( |  | ) |

Definition at line 109 of file ad3.h.

## ad3_basic() [2/4]

template<class T >

ad3_basic | ( | const ad3_basic< T > & |  | ) |

## ad3_basic() [3/4]

template<class T >
template<class U >

ad3_basic | ( | const U & | x | ) |

Definition at line 133 of file ad3.h.

## ad3_basic() [4/4]

template<class T >
template<class T >

ad3_basic | ( | const ad3_basic< T > & | a | ) |

Definition at line 116 of file ad3.h.

## Member Function Documentation

## operator=()

template<class T >

ad3_basic< T > & operator= | ( | const ad3_basic< T > & | a | ) |

Definition at line 124 of file ad3.h.

## point()

template<class T >

point_basic< ad3_basic< T > > point | ( | const point_basic< T > & | x0 | ) |

static

Definition at line 141 of file ad3.h.

## value()

template<class T >

const T & value | ( |  | ) | const

Definition at line 153 of file ad3.h.

## grad()

template<class T >

const point_basic< T > & grad | ( |  | ) | const

Definition at line 160 of file ad3.h.

## operator+() [1/2]

template<class T >

ad3_basic< T > operator+ | ( |  | ) | const

Definition at line 178 of file ad3.h.

## operator-() [1/2]

template<class T >

ad3_basic< T > operator- | ( |  | ) | const

Definition at line 188 of file ad3.h.

## operator+() [2/2]

template<class T >

ad3_basic< T > operator+ | ( | const ad3_basic< T > & | b | ) | const

Definition at line 198 of file ad3.h.

## operator-() [2/2]

template<class T >

ad3_basic< T > operator- | ( | const ad3_basic< T > & | b | ) | const

Definition at line 208 of file ad3.h.

## operator*()

template<class T >

ad3_basic< T > operator* | ( | const ad3_basic< T > & | b | ) | const

Definition at line 317 of file ad3.h.

## operator/()

template<class T >

ad3_basic< T > operator/ | ( | const ad3_basic< T > & | b | ) | const

Definition at line 378 of file ad3.h.

## operator+=()

template<class T >

ad3_basic< T > & operator+= | ( | const ad3_basic< T > & | b | ) |

Definition at line 274 of file ad3.h.

## operator-=()

template<class T >

ad3_basic< T > & operator-= | ( | const ad3_basic< T > & | b | ) |

Definition at line 294 of file ad3.h.

## operator*=()

template<class T >

ad3_basic< T > & operator*= | ( | const ad3_basic< T > & | b | ) |

Definition at line 355 of file ad3.h.

## operator/=()

template<class T >

ad3_basic< T > & operator/= | ( | const ad3_basic< T > & | b | ) |

Definition at line 416 of file ad3.h.

## Member Data Documentation

## _v

template<class T >

T _v

Definition at line 92 of file ad3.h.

## _g

template<class T >

point_basic<T> _g

Definition at line 93 of file ad3.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/lib/ad3.h